import { SendQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { SendQuoteController } from "./sendQuote.controller";

export const sendQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new SendQuoteController(
    {
      useCase: new SendQuoteUseCase(context),
    },
    context
  );
};
